%define version 0.2.6
%define release 4mdk

%define	major	2
%define libname %mklibname tabe %{major}

Summary:	Chinese lexicons library for xcin-2.5
Name:		libtabe
Version:	%{version}
Release:	%{release}
License:	BSD style
Group:		System/Libraries
URL:		http://libtabe.sourceforge.net/
Buildroot:	%_tmppath/%{name}-%{version}-%{release}-root

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-db4.1.patch.bz2
Patch1:		%{name}-0.2.3-notestdb.patch.bz2

BuildRequires:	db4-devel >= 4.1
BuildRequires:	XFree86-devel
Requires:	%{libname} = %{version}-%{release}
Requires:	locales-zh

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package	-n %{libname}
Summary:	Libraries needed to use packages using libtabe
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description	-n %{libname}
Chinese lexicons library for xcin-2.5's bimsphone input method.

This package contains shared libraries.

%package	-n %{libname}-devel
Summary:	Header files and libraries for developing apps which will use libtabe
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}-devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

This package contains static libraries and headers files.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .db41

cp script/configure.in .
%__libtoolize --copy --force

%build
%configure2_5x \
	--enable-shared \
	--datadir=%{_libdir}/tabe \
	--with-x \
	--x-includes=%{_prefix}/X11R6/include \
	--x-libraries=%{_prefix}/X11R6/%{_lib} \
	--with-dbinc=%{_includedir}/db4

make

%install
rm -rf %{buildroot}
%makeinstall datadir=%{buildroot}%{_libdir}/tabe

# Make link so that xcin-2.5 can use yin.db and tsi.db
install -d %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/big5 \
           %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/utf-8

pushd %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/big5
ln -sf %{_libdir}/tabe/tsi.db .
ln -sf %{_libdir}/tabe/yin.db .
popd
pushd %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/utf-8
ln -sf %{_libdir}/tabe/tsi.db .
ln -sf %{_libdir}/tabe/yin.db .
popd

# Remove unpackaged files, who needs those *.la files anyway?
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING  doc/libtabe.sgml
%{_bindir}/*
%{_libdir}/tabe
%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/big5/*.db
%{_prefix}/X11R6/%{_lib}/X11/xcin/tab/utf-8/*.db

%files -n %{libname}
%defattr(-,root,root,-)
%doc doc/*.shtml
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/*.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.6-4mdk
- Rebuild

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.2.6-3mdk
- Make library depend on data files, the library alone w/o data files
  is not likely very useful (thanks to kenduest for reporting missing
  libtabe for xcin)

* Thu Sep 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-2mdk
- rebuild

* Tue Feb 03 2004 Abel Cheung <deaddog@deaddog.org> 0.2.6-1mdk
- New version
- Shamelessly rip off everything from fedora
- Older patch not needed anymore

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.3-13mdk
- fix deps

* Tue Sep 02 2003 Abel Cheung <deaddog@deaddog.org> 0.2.3-12mdk
- mklibname
- forget about libtabe-tsi, I don't see anywhere it is used
- fix license
- the --with-x thing was driving me nuts, detection of x headers doesn't
  work at all in klama but works in my machine

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.3-11mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-10mdk
- rebuild

* Tue Dec  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.3-9mdk
- Don't ship with *.la files
- Regenerate configure script with updated libtool which knows about x86-64

* Wed Nov 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.3-8mdk
- BuildRequires: XFree86-devel
- Removed redundant BuildRequires

* Wed Nov 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.2.3-7mdk
- /me should not put percent-configure in changelog

* Wed Nov 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.2.3-6mdk
- don't know how it worked before, but perl magic post configure
- was causing attempted link to db22

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-5mdk
- fix post

* Tue Sep 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.3-4mdk
- Put BuildRequires: db2-devel db2 inside.
- Make things build again AKA explicitly link to db2.

* Sat Sep 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.3-3mdk
- Make the databases work again.

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.3-2mdk
- Rebuild to make lost-in-space packages appear again.

* Tue Sep 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.3-1mdk
- Version 0.2.3.

* Sun Jul 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.1-4mdk
- CVS of date 20010729 (Andrew Lee).

* Tue Apr 24 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.1-3mdk
- Make libtabe0 require libtabe (Andrew Lee).

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-2mdk
- add doc to lib and devel packages

* Sun Jan 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.1-1mdk
- new and shiny source from Andrew Lee (andrew@cle.linux.org.tw).

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 0.1,9-1mdk
- new and shiny libtabe.

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.8-3mdk
- Fix Provides and Requires
- Libdification
- Add missing %%post and %%postun
- Spec clean up

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.8-2mdk
- Compile implicite with db2.

* Sun Oct 22 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1.8
- BM
- clean spec
- macros

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 0.1.7

* Fri Jul 28 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-6

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-5

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- split packages
- added Requires: locales-zh for auto-selection at install time
- added URL

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0
